Subject: [rtcweb] FW: SCTP-SDP: Mux category for SDP sctp-port and max-message-size attributes

From: Christer Holmberg <[email-masked]>
Date: Sun, 22 Feb 2015 16:20:02 +0000

FYI,

I sent this to MMUSIC, but it may be of interest for RTCWEB folks too.

If you have any comments, please post them on the MMUSIC list.

Regards,

Christer

From: mmusic [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: 22 February 2015 18:19
To: [email-masked]
Subject: [MMUSIC] SCTP-SDP: Mux category for SDP sctp-port and max-message-size attributes

Hi,

I've been asked to include the MUX category (as defined in draft-ietf-mmusic-sdp-mux-attributes) for the SDP attributes defined in the SCTP-SDP draft: sctp-port and max-message-size.

For 'SCTP' and 'SCTP/DTLS' I assume it is rather straight forward. The sctp-port attribute is not used to begin with, and the max-message-size applies to the transport layer SCTP association.

'(UDP | TCP)/DTLS/SCTP' is a little different.  The draft says (or, *will* say, based on the agreement in Honolulu) that multiple SCTP associations over a single '(UDP | TCP)/DTLS' connection is outside the scope of the document, which means it is not possible to have multiple '(UDP | TCP)/DTLS/SCTP' m- lines within a BUNDLE group.

Currently, unless I've missed something, there is however no category for attributes that can't be bundled, eventhough one could perhaps claim that the NOT RECOMMENDED category fits. So, I see three options:

1)      Allocate SPECIAL category, with a description saying that they can't be bundled

2)      Allocate NOT RECOMMENDED category

3)      Define a new mux category, for attributes that can't be bundled

Comments? My personal preference would be either 2) or 3).

SCTP:
=====

Attribute:                          Mux category:

sctp-port                           Not applicable
max-message-size          TRANSPORT

SCTP/DTLS:
==========

sctp-port                           Not applicable
max-message-size          TRANSPORT

(UDP | TCP)/DTLS/SCTP:
=====================

Attribute:                          Mux category:

sctp-port                           SPECIAL | New category
max-message-size          SPECIAL | New category

Regards,

Christer